## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/cpputest/cpputest

Name:           cpputest
Version:        4.0
Release:        %autorelease
Summary:        Unit testing and mocking framework for C/C++

License:        BSD
URL:            https://cpputest.github.io/
Source0:        %{forgeurl}/releases/download/v%{version}/%{name}-%{version}.tar.gz
# compile the extension library as a shared library
Patch0:         %%{name}-no-static-ext.patch
# fix installation location of cmake files
Patch1:         %{name}-fix-cmake-dest.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++

%global _description %{expand:
CppUTest is a C/C++ based unit xUnit test framework for unit testing and for
test-driving your code. It is written in C++ but is used in C and C++ projects
and frequently used in embedded systems but it works for any C/C++ project.

CppUTest’s core design principles are:
- Simple in design and simple in use.
- Portable to old and new platforms.
- Build with Test-driven Development for Test-driven Developers.}

%description    %{_description}


%package        devel
Summary:        Development files for %{name}
Requires:       cmake-filesystem
Requires:       gcc-c++

%description    devel %{_description}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1


%build
%cmake
%cmake_build


%install
%cmake_install


%check
%ctest


%files devel
%license COPYING
%doc README.md README_CppUTest_for_C.txt
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/CppUTest
%{_libdir}/pkgconfig/cpputest.pc


%changelog
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 18 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 4.0-1
- Initial Fedora package
